Bug 438478 - "Unable to handle kernel paging request" crash with 64bit 2.6.24.3-29.el5rt
"Unable to handle kernel paging request" crash with 64bit 2.6.24.3-29.el5rt
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.0
i386 Linux
low Severity high
: ---
: ---
Assigned To: Peter Zijlstra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-21 05:19 EDT by Roland Westrelin
Modified: 2014-08-11 01:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 10:23:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Westrelin 2008-03-21 05:19:55 EDT
Description of problem:

crash observed with java test suite on 2xdual core 2.8Ghz opteron machine:

Unable to handle kernel paging request at ffffffffffffffc0 RIP:
 [<ffffffff804a4f54>] __schedule+0x4d5/0x78d
PGD 203067 PUD 204067 PMD 0
Oops: 0000 [1] PREEMPT SMP
CPU 1
Modules linked in: ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 xt_state
ipt_REJECT xt_tcpudp iptable_filter ip_tables x_tables bridge nfsd auth_rpcgss
exportfs nfs lockd nfs_acl autofs4 hidp rfcomm l2cap bluetooth sunrpc iscsi_tcp
ib_iser libiscsi scsi_transport_iscsi rdma_ucm ib_ucm ib_srp scsi_transport_srp
scsi_tgt ib_sdp rdma_cm iw_cm ib_addr ib_ipoib ib_cm ib_sa ipv6 ib_uverbs
ib_umad ib_mad ib_core dm_mirror dm_multipath dm_mod video output sbs sbshc dock
battery ac parport_pc lp parport ide_cd ata_generic sr_mod joydev cdrom sg
pata_acpi e1000 jedec_probe cfi_probe serio_raw gen_probe rtc_cmos button
rtc_core mtd rtc_lib shpchp chipreg i2c_nforce2 pata_amd libata i2c_core pcspkr
k8temp hwmon forcedeth usb_storage mptsas mptscsih scsi_transport_sas mptbase
sd_mod scsi_mod ext3 jbd ehci_hcd ohci_hcd ssb uhci_hcd
Pid: 13430, comm: java Not tainted 2.6.24.3-29.el5rt #1
RIP: 0010:[<ffffffff804a4f54>]  [<ffffffff804a4f54>] __schedule+0x4d5/0x78d
RSP: 0018:ffff8100d7969b98  EFLAGS: 00010006
RAX: 0000000012be387b RBX: ffff8100d7426540 RCX: ffffffff80a5f680
RDX: ffff810001021680 RSI: ffffffffffffffb8 RDI: ffffffff80231358
RBP: ffff8100d7969c68 R08: ffff8100c4dcbd48 R09: ffff81011c952d80
R10: 0000000000000001 R11: ffffffff80ac5d80 R12: 0000000000000000
R13: ffff81011c952de0 R14: ffff810001021680 R15: 0000000000402140
FS:  00002ae212198150(0000) GS:ffff81011fc23dc0(0063) knlGS:00000000d4986b90
CS:  0010 DS: 002b ES: 002b CR0: 000000008005003b
CR2: ffffffffffffffc0 CR3: 000000008acc1000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff4ff0 DR7: 0000000000000400
Process java (pid: 13430, threadinfo ffff8100d7968000, task ffff8100d7426540)
Stack:  ffff810001021680 0000000000000002 ffff8100d7969c18 ffffffff80230eb0
 ffff8100d7969cc0 ffff8100d7426540 ffffffffffffffb8 ffff8100d74267c0
 000000010101e478 ffff81009d967d50 ffff81009d967d48 10000000000002f7
Call Trace:
 [<ffffffff80230eb0>] move_tasks+0x68/0x90
 [<ffffffff80254483>] enqueue_hrtimer+0xe4/0xf2
 [<ffffffff80254d9e>] hrtimer_start+0x108/0x11a
 [<ffffffff804a5527>] schedule+0xdf/0xff
 [<ffffffff8025b0df>] futex_wait+0x257/0x34d
 [<ffffffff8025473c>] hrtimer_wakeup+0x0/0x21
 [<ffffffff80234991>] default_wake_function+0x0/0x14
 [<ffffffff8025c316>] do_futex+0x8b/0xb1d
 [<ffffffff80256f8c>] getnstimeofday+0x31/0x88
 [<ffffffff80254fb3>] ktime_get_ts+0x46/0x4b
 [<ffffffff8025d301>] compat_sys_futex+0xed/0x10b
 [<ffffffff80229a04>] cstar_do_call+0x1b/0x65


Code: 48 8b 46 08 48 8b bd 60 ff ff ff 8b 40 18 48 8b 97 f8 00 00
RIP  [<ffffffff804a4f54>] __schedule+0x4d5/0x78d
 RSP <ffff8100d7969b98>
CR2: ffffffffffffffc0


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Roland Westrelin 2008-03-25 04:51:38 EDT
Other crash with the same kernel:

Unable to handle kernel paging request at ffffffffffffffc0 RIP:
 [<ffffffff804a4f54>] __schedule+0x4d5/0x78d
PGD 203067 PUD 204067 PMD 0
Oops: 0000 [1] PREEMPT SMP
CPU 1
Modules linked in: ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 xt_state
ipt_REJECT xt_tcpudp iptable_filter ip_tables x_tables bridge nfsd auth_rpcgss
exportfs nfs lockd nfs_acl autofs4 hidp rfcomm l2cap bluetooth sunrpc iscsi_tcp
ib_iser libiscsi scsi_transport_iscsi rdma_ucm ib_ucm ib_srp scsi_transport_srp
scsi_tgt ib_sdp rdma_cm iw_cm ib_addr ib_ipoib ib_cm ib_sa ipv6 ib_uverbs
ib_umad ib_mad ib_core dm_mirror dm_multipath dm_mod video output sbs sbshc dock
battery ac parport_pc lp parport ide_cd ata_generic sr_mod cdrom joydev
pata_acpi sg button e1000 rtc_cmos rtc_core rtc_lib jedec_probe cfi_probe
pata_amd serio_raw i2c_nforce2 gen_probe libata i2c_core forcedeth pcspkr mtd
shpchp k8temp chipreg hwmon usb_storage mptsas mptscsih scsi_transport_sas
mptbase sd_mod scsi_mod ext3 jbd ehci_hcd ohci_hcd ssb uhci_hcd
Pid: 7920, comm: java Not tainted 2.6.24.3-29.el5rt #1
RIP: 0010:[<ffffffff804a4f54>]  [<ffffffff804a4f54>] __schedule+0x4d5/0x78d
RSP: 0018:ffff81020b5c7a98  EFLAGS: 00010006
RAX: 00000000c48a7fd8 RBX: ffff810207d24b80 RCX: ffffffff80a5f680
RDX: ffff810001021680 RSI: ffffffffffffffb8 RDI: ffffffff80231358
RBP: ffff81020b5c7b68 R08: ffff81020b5c7bd8 R09: 0000000000000000
R10: 0000000000000001 R11: 0000000000000000 R12: 0000000000402140
R13: 0000000000000004 R14: ffff810001021680 R15: 0000000000000296
FS:  00002aacd9efc150(0000) GS:ffff81011fc23dc0(0063) knlGS:00000000e62dab90
CS:  0010 DS: 002b ES: 002b CR0: 000000008005003b
CR2: ffffffffffffffc0 CR3: 000000021c9b6000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process java (pid: 7920, threadinfo ffff81020b5c6000, task ffff810207d24b80)
Stack:  ffff81020b5c7ac8 ffffffff80237f13 00000000ffffffff 0000000000000001
 ffff81021e9ee940 ffff810207d24b80 ffffffffffffffb8 ffff810207d24e00
 0000000100000000 0000000000000000 ffff81020b5c7af8 ffffffff8033ac85
Call Trace:
 [<ffffffff80237f13>] finish_task_switch+0x45/0x98
 [<ffffffff8033ac85>] __next_cpu+0x19/0x28
 [<ffffffff8025d88d>] __rt_mutex_adjust_prio+0x11/0x24
 [<ffffffff8025e064>] task_blocks_on_rt_mutex+0x16a/0x1bf
 [<ffffffff804a5527>] schedule+0xdf/0xff
 [<ffffffff804a6055>] rt_mutex_slowlock+0x1c3/0x29d
 [<ffffffff804a5cf2>] rt_mutex_lock+0x28/0x2a
 [<ffffffff8025e285>] __rt_down_read+0x47/0x4b
 [<ffffffff8025e29f>] rt_down_read+0xb/0xd
 [<ffffffff8025aef3>] futex_wait+0x6b/0x34d
 [<ffffffff80231853>] resched_task+0x5c/0x5e
 [<ffffffff80234980>] try_to_wake_up+0x11d/0x12e
 [<ffffffff8025d88d>] __rt_mutex_adjust_prio+0x11/0x24
 [<ffffffff8025da20>] rt_mutex_adjust_prio+0x35/0x3d
 [<ffffffff80234991>] default_wake_function+0x0/0x14
 [<ffffffff8025c316>] do_futex+0x8b/0xb1d
 [<ffffffff80231ab6>] __update_rq_clock+0x1a/0xe5
 [<ffffffff8023a26b>] task_sched_runtime+0x5d/0x6d
 [<ffffffff80256f8c>] getnstimeofday+0x31/0x88
 [<ffffffff80254fb3>] ktime_get_ts+0x46/0x4b
 [<ffffffff8025d301>] compat_sys_futex+0xed/0x10b
 [<ffffffff80229a04>] cstar_do_call+0x1b/0x65


Code: 48 8b 46 08 48 8b bd 60 ff ff ff 8b 40 18 48 8b 97 f8 00 00
RIP  [<ffffffff804a4f54>] __schedule+0x4d5/0x78d
 RSP <ffff81020b5c7a98>
CR2: ffffffffffffffc0
Comment 2 Clark Williams 2008-06-03 10:23:13 EDT
closing for now

Note You need to log in before you can comment on or make changes to this bug.